<?php
// SPDX-License-Identifier: EUPL-1.2
// Authors: see README.md

namespace SeaCMS\App;

use SeacmsAppPlugin;
use SeaCMS\App\TestException;
use SeaCMS\App\TestOnPageRenderingInterface;
use SeaCMS\App\TestBaseUrlException;

/**
 * test base Url
 */
class TestBaseUrl implements TestOnPageRenderingInterface
{
    /**
     * run tests
     * @param SeacmsAppPlugin $plugin
     * @param string $templateName  file name of the template
     * @param array  $twigVariables template variables
     * @throws TestException
     */
    public function runOnPageRendering(SeacmsAppPlugin $plugin, string $templateName, array $twigVariables)
    {
        $pico = $plugin->getPico();
        throw new TestBaseUrlException(
            $pico->getBaseUrl(),
            $pico->getRootDir(),
            $pico->getPluginsDir(),
            $pico->getThemesDir(),
            $pico->getCurrentPage(),
            $twigVariables,
            "Testing base url"
        );

    }
    /**
     * run tests
     * @param SeacmsAppPlugin $plugin
     * @param string $output
     * @throws TestException
     */
    public function run(SeacmsAppPlugin $plugin, string $output){
    }
}
